Name: jwhois
Version: 3.2.2
Release: 17%{?dist}
URL: http://www.gnu.org/software/jwhois/
Source0: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Patch0: jwhois-3.2.2-config-cvs.patch
Patch1: jwhois-3.2.2-arin.patch
Patch2: jwhois-3.2.2-doublefree.patch
Patch3: jwhois-3.2.2-update_2004.patch
Patch4: jwhois-3.2.2-webbased.patch
Patch5: jwhois-3.2.2-eu.patch
Patch6: jwhois-3.2.2-de_gi.patch
Patch7: jwhois-3.2.2-config2-cvs.patch
License: GPL
Group: Applications/Internet
Summary: Internet whois/nicname client.
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: fwhois, whois
Prereq: /sbin/install-info

%description
A whois client that accepts both traditional and finger-style queries.

%prep
%setup -q
%patch0 -p0 -b .config
%patch1 -p1 -b .arin
%patch2 -p1 -b .doublefree
%patch3 -p1 -b .update_2004
%patch4 -p1 -b .webbased
%patch5 -p1 -b .eu
%patch6 -p1 -b .de_gi
%patch7 -p1 -b .config2

iconv -f iso-8859-1 -t utf-8 < doc/sv/jwhois.1 > doc/sv/jwhois.1_
mv doc/sv/jwhois.1_ doc/sv/jwhois.1

%build
%configure --without-cache
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall
# Force compression of the info page so that the %%post knows its name.
gzip $RPM_BUILD_ROOT/%{_infodir}/*.info*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang jwhois

# Make "whois" jwhois.
ln -sf jwhois $RPM_BUILD_ROOT/%{_bindir}/whois
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.1

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/jwhois.1*
%{_infodir}/jwhois.info.gz
%config(noreplace) %{_sysconfdir}/jwhois.conf

%post
/sbin/install-info %{_infodir}/jwhois.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/jwhois.info.gz %{_infodir}/dir
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%changelog
* Mon Aug  9 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.2-17
- Fix gs domain whois server

* Wed May  5 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.2-16
- Update config file
  Resolves: #582824

* Thu Jan 22 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.2-15
- Update config file for .de and .gi

* Fri Jan 16 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.2-14
- Fix jp domain whois server has changed
  Resolves: #151757
- Fix jwhois doesn't know about whois.eu
  Resolves: #199261
- Convert Swedish man page to UTF-8

* Mon Nov  1 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-6.EL4.1
- Fix double free (#137693)

* Mon Sep 13 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-6
- Recognize more redirections at whois.arin.net (#116423)

* Mon Sep 13 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-5
- Update config file for .de (#132362, by Robert Scheck)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan  7 2004 Nalin Dahyabhai <nalin@redhat.com> 3.2.2-2
- fix typos in jwhois.conf (#113012)

* Fri Jul 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream version 3.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 3.2.1

* Thu Jan 30 2003 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-6
- search whois.publicinternetregistry.net instead of whois.internic.net for
  all '.org$' domains (#82802).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 3.2.0-5
- rebuilt

* Thu Dec 12 2002 Karsten Hopp <karsten@redhat.de> 3.2.0-4
- Requires(post,preun) doesn't seem to work properly

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 3.2.0-3
- require install-info

* Thu Nov 14 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-2
- don't bail out of %%install if make install doesn't create an info top node

* Mon Sep 30 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-1
- initial package
